<?php
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id) || $b == false) {
header ('location: /');
exit;
}
$query = DB :: $dbs -> query ("SELECT * FROM `magazin_file` WHERE `id`= ?", [$id]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}
$file = $query -> fetch ();
$title->SetTitle('Маркет - Удаление товара "' . $file['name'] . '"');
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Маркет - Удаление товара "' . $file['name'] . '" </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/market" rel="v:url" property="v:title">Маркет</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Удаление товара "' . $file['name'] . '"</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/market"><i class="md-format-list-bulleted"></i> Маркет</a> - Удалить товар "' . $file['name'].'"</div>';
if ($b['level'] < 4) {
header('location: /');
die();
}
echo '<div class="row text_box">Действительно удалить?<br/><a href="/market/delfile/'.$id.'?da">Да</a> | <a href="/market/file/'.$id.'">Нет</a></div>';
if (isset($_GET['da'])) {
unlink($_SERVER['DOCUMENT_ROOT'].'/files/mag_file/'.$file['file']);
DB::$dbs->query("DELETE FROM magazin_file WHERE id = ?", [$id]);
echo '<div class="row text_box">Товар удален!</div>';
///Подключаем футер
$title->GetFooter();
die();
}
?>